 <System.Web.Services.WebMethod()> _
    Public Shared Function SaveTask(Summary As String, AssignTo As String, Priority As String, DueDate As String, EmpID As String) As String
        Dim objDashboardPostMessages As New DashboardPostMessages()
        Dim objPostMessagesInfo As New PostMessagesInfo()
        objPostMessagesInfo.Task_Summary = Summary
        objPostMessagesInfo.Task_AssignTo = AssignTo
        objPostMessagesInfo.Task_Priority = Priority
        objPostMessagesInfo.Task_DueDate = DueDate
        objPostMessagesInfo.Task_Status = "Open"

        objDashboardPostMessages.SaveTask(objPostMessagesInfo, "Insert")
        
        Return "Save Sussessfully"
    End Function

    <WebMethod()> _
    Public Shared Function GetCustomers() As List(Of Tasks2)
        Dim constr As String = ConfigurationManager.ConnectionStrings("ConnStr").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand("SELECT  * FROM Task_Timeline")
                cmd.Connection = con
                Dim customers As New List(Of Tasks2)()
                con.Open()
                Using sdr As SqlDataReader = cmd.ExecuteReader()
                    While sdr.Read()
                        customers.Add(New Tasks2() With { _
                         .Id = sdr("ID").ToString(), _
                         .Title = "Task ID: " + sdr("ID").ToString(), _
                         .Status = sdr("Status").ToString(), _
                         .Summary = sdr("Summary").ToString(), _
                         .Type = "story", _
                         .Priority = sdr("Priority").ToString(), _
                         .Tags = "DueDate: " + sdr("DueDate").ToString(), _
                         .Estimate = "3.5", _
                         .Assignee = sdr("AssignTo").ToString() _
                        })
                    End While
                End Using
                con.Close()
                Return customers
            End Using
        End Using
    End Function
Public Class Tasks2
    Public Sub New()
    End Sub
    Public Sub New(Id As Integer, Title As String, Status As String, Summary As String, Type As String, Priority As String, _
        Tags As String, Estimate As Double, Assignee As String)
        Me.Id = Id
        Me.Status = Status
        Me.Title = Title
        Me.Summary = Summary
        Me.Type = Type
        Me.Priority = Priority
        Me.Tags = Tags
        Me.Estimate = Estimate


        Me.Assignee = Assignee
    End Sub
    Public Property Id() As Integer
        Get
            Return m_Id
        End Get
        Set(value As Integer)
            m_Id = Value
        End Set
    End Property
    Private m_Id As Integer
    Public Property Status() As String
        Get
            Return m_Status
        End Get
        Set(value As String)
            m_Status = Value
        End Set
    End Property
    Private m_Status As String
    Public Property Title() As String
        Get
            Return m_Title
        End Get
        Set(value As String)
            m_Title = Value
        End Set
    End Property
    Private m_Title As String
    Public Property Summary() As String
        Get
            Return m_Summary
        End Get
        Set(value As String)
            m_Summary = Value
        End Set
    End Property
    Private m_Summary As String
    Public Property Type() As String
        Get
            Return m_Type
        End Get
        Set(value As String)
            m_Type = Value
        End Set
    End Property
    Private m_Type As String
    Public Property Priority() As String
        Get
            Return m_Priority
        End Get
        Set(value As String)
            m_Priority = Value
        End Set
    End Property
    Private m_Priority As String
    Public Property Tags() As String
        Get
            Return m_Tags
        End Get
        Set(value As String)
            m_Tags = Value
        End Set
    End Property
    Private m_Tags As String
    Public Property Estimate() As Double
        Get
            Return m_Estimate
        End Get
        Set(value As Double)
            m_Estimate = Value
        End Set
    End Property
    Private m_Estimate As Double
    Public Property Assignee() As String
        Get
            Return m_Assignee
        End Get
        Set(value As String)
            m_Assignee = Value
        End Set
    End Property
    Private m_Assignee As String


End Class